/*  Menu_ProMoIJ is an ImageJ macro developed to create a menu (workflow) for ProMoIJ macro package
    
       Copyright (C) 2017  Jorge Valero Gómez-Lobo, Iñaki Paris & Amanda Sierra.

  	Menu_ProMoIJ is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Menu_ProMoIJ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

//This macro has been developed by Iñaki Paris, Amanda Sierra & Jorge Valero (jorge.valero@achucarro.org). 
//If you have any doubt about how to use it, please contact us.


//Selects the option and runs the specified macro

items=newArray ("Macro 1: Cropping.", "Macro 2: Registration.", "Macro 3: Image correction.", "Macro 4: Process selection.", "Macro 5: Motility analysis.", "Exit.");
do{
	html="<html>"+"<h2>ProMoIJ HELP</h2>"
	+"<font size=+1>"
	+"Please check the following reference for help:<br><br>"
	+"Reference<br><br>"
	+"You can also contact us: jorge.valero@achucarro.org";
	Dialog.create("ProMoIJ");
	Dialog.addRadioButtonGroup("Please, select an option:", items, 3, 2, "Step 1: Registration");
	//Dialog.addHelp(html);
	Dialog.addHelp("http://www.achucarro.org/downloads");
	Dialog.show();
	option= Dialog.getRadioButton;
	sure=getBoolean("You have selected: \""+option+"\" Do you want to proceed?");
	if (sure==true){
		if (option=="Macro 1: Cropping.") run("ProMoIJ M1 Cropping v1");
		if (option=="Macro 2: Registration.") run("ProMoIJ M2 Registration v3.2");
		if (option=="Macro 3: Image correction.") run("ProMoIJ M3 Image correction v1");
		if (option=="Macro 4: Process selection.") run("ProMoIJ M4 Process selection v1.2");
		if (option=="Macro 5: Motility analysis.") run("ProMoIJ M5 Motility analysis v2.2");
	}
} while (option!="Exit.");

